%global momorel 3

Summary: Meta package for prepare build env used by buildtools (ex. OmoiKondara)
Name: build-momonga
Version: 1
Release: %{momorel}m%{?dist}
License: Public Domain
Group: Applications/System
URL: http://www.momonga-linux.org/docs/OmoiKondara-HOWTO/ja/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# this packages name from http://www.momonga-linux.org/docs/OmoiKondara-HOWTO/ja/requires.html
Requires: ruby
Requires: ruby-rpm
Requires: gcc
Requires: gcc-c++
Requires: gcc-objc
Requires: gcc-objc++
Requires: gcc-gfortran
Requires: gcc3.2
Requires: gcc3.2-c++
Requires: gcc3.4
Requires: gcc3.4-c++
Requires: gcc-java
Requires: subversion
Requires: rpm-devel
Requires: rpm-build
Requires: glibc-devel
Requires: patch
Requires: automake autoconf
Requires: libtool
Requires: openssh
Requires: lftp wget ncftp
#Requires: w3m
Requires: momonga-rpmmacros

%description
Usage exapmle.
1. install Momonga Linux
2. yum install -y build-momonga (and/or yum install -y '*')
3. cd $TOPDIR
4. svn co http://svn.momonga-linux.org/svn/pkgs/trunk/tools/
5. cd tools ; make ; cd -
6. svn co http://svn.momonga-linux.org/svn/pkgs/trunk/pkgs/
7. cd pkgs
8. ../tools/v2/OmoiKondara2 <options> <packages>

%files

%changelog
* Fri Jul  6 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-3m)
- add gcc* and ncftp and rpm-build

* Mon May 12 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-2m)
- add ruby-rpm , momonga-rpmmacros

* Mon May 12 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-1m)
- first made for momonga
